LibreOffice: XProfileManager Interface Reference

LibreOffice LibreOffice 24.8 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XProfileManager Interface Referencepublished

is the interface to boot up and switch Mozilla/Thunderbird profiles More...

`import <XProfileManager.idl;`

Inheritance diagram for XProfileManager:

## Public Member Functions
long | bootupProfile ([in]MozillaProductType product,[in]string profileName)
| attempts to init XPCOM runtime using given profile.
long | shutdownProfile ()
| attempts to shutdown the current profile.
MozillaProductType | getCurrentProduct ()
| attempts to get the current product.
string | getCurrentProfile ()
| attempts to get the current profile name.
boolean | isCurrentProfileLocked ()
| attempts to check whether the current profile locked or not
string | setCurrentProfile ([in]MozillaProductType product,[in]string profileName)
| attempts to set the current used profile name for the given product.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

is the interface to boot up and switch Mozilla/Thunderbird profiles

See also
  com::sun::star::mozilla::MozillaProductType
  com::sun::star::mozilla::XProfileDiscover
  com::sun::star::mozilla::MozillaBootstrap

## Member Function Documentation

## ◆ bootupProfile()

long bootupProfile | ( | [in] MozillaProductType | product,
|  | [in] string | profileName )

attempts to init XPCOM runtime using given profile.

Parameters

  product | is the product to start up.
  profileName | the profile name to be used.

Returns
  the current reference count for the given profile.

## ◆ getCurrentProduct()

MozillaProductType getCurrentProduct | ( |  | ) |

attempts to get the current product.

Returns
  the current used product.

## ◆ getCurrentProfile()

string getCurrentProfile | ( |  | ) |

attempts to get the current profile name.

Returns
  the current used profile.

## ◆ isCurrentProfileLocked()

boolean isCurrentProfileLocked | ( |  | ) |

attempts to check whether the current profile locked or not

Returns
  return sal_True is current profile is locked

## ◆ setCurrentProfile()

string setCurrentProfile | ( | [in] MozillaProductType | product,
|  | [in] string | profileName )

attempts to set the current used profile name for the given product.

Parameters

  product | is the product to be used.
  profileName | the profile name to be used.

Returns
  the current used profile name for the given product.

## ◆ shutdownProfile()

long shutdownProfile | ( |  | ) |

attempts to shutdown the current profile.

Returns
  the current reference count for the current profile.

The documentation for this interface was generated from the following file:

- com/sun/star/mozilla/XProfileManager.idl